libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

Functions
Utility functions

## Functions

template<typename ITER >
std::string | pqxx::separated_list (const std::string &sep, ITER begin, ITER end)
| Render sequence as a string, using given separator between items.
template<typename OBJ >
std::string | pqxx::separated_list (const std::string &sep, OBJ *begin, OBJ *end)
| Render array as a string, using given separator between items.
template<typename CONTAINER >
std::string | pqxx::separated_list (const std::string &sep, const CONTAINER &c)
| Render items in a container as a string, using given separator.

## Detailed Description

## Function Documentation

template<typename ITER >

std::string pqxx::separated_list | ( | const std::string & | sep,
|  | ITER | begin,
|  | ITER | end
| ) |  |

Render sequence as a string, using given separator between items.

References pqxx::separated_list().

template<typename OBJ >

std::string pqxx::separated_list | ( | const std::string & | sep,
|  | OBJ * | begin,
|  | OBJ * | end
| ) |  |

Render array as a string, using given separator between items.

References pqxx::separated_list().

template<typename CONTAINER >

std::string pqxx::separated_list | ( | const std::string & | sep,
|  | const CONTAINER & | c
| ) |  |

Render items in a container as a string, using given separator.

References pqxx::separated_list().